Determinant
Base Module » Linear Algebra

## Functions

double | itpp::det (const mat &X)
| Determinant of real square matrix.
std::complex< double > | itpp::det (const cmat &X)
| Determinant of complex square matrix.

## Detailed Description

## Function Documentation

## det() [1/2]

ITPP_EXPORT double itpp::det | ( | const mat & | X | ) |

Determinant of real square matrix.

Calculate determinant of the real matrix

Uses LU-factorisation.

and the determinant of the permuation matrix is depending on the number of row permutations

Definition at line 43 of file det.cpp.

References it_assert_debug, and itpp::lu().

Referenced by itpp::MOG_generic::setup_covs().

## det() [2/2]

ITPP_EXPORT std::complex< double > itpp::det | ( | const cmat & | X | ) |

Determinant of complex square matrix.

Calculate determinant of the complex matrix

Uses LU-factorisation.

and the determinant of the permuation matrix is depending on the number of row permutations

Definition at line 76 of file det.cpp.

References it_assert_debug, and itpp::lu().

Generated on Mon Jun 10 2024 11:49:30 for IT++ by Doxygen 1.9.8